EndpointFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.api.endpoint.EndpointFactory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.endpoint
Interface EndpointFactory

All Superinterfaces:
  MuleContextAware

All Known Implementing Classes:
  DefaultEndpointFactory

    public interface EndpointFactory

extends MuleContextAware

Endpoint factory creates immutable instances of `ImmutableEndpoint`. These endpoints may be

- Endpoints created by uri string of the type requested.
- Endpoints of the type requested created based on a given global endpoint identified by global endpoint name.
- Endpoints of the type requested based on an existing configured endpoint instance that has been given a name in configuration.
  This factory always returns new unique endpoint instances. The `Registry` should be used to lookup/create endpoints.

  Method Summary
  `EndpointBuilder` | `getEndpointBuilder(String uri)` Used to retrieve the an EndpointBuilder equal to the one would be used to create an endpoint. This is useful if you need to customize a builder before creation of an endpoint as you can use this method to obtain the endpoint builder, custommize it and then call the factory methods that take a EndpointBuilder rather than a String.
  `InboundEndpoint` | `getInboundEndpoint(EndpointBuilder builder)` Creates an endpoint with the "INBOUND" role using the builder provided.
  `InboundEndpoint` | `getInboundEndpoint(EndpointURI endpointUri)` Deprecated.
  `InboundEndpoint` | `getInboundEndpoint(String uri)` Creates an endpoint with the "INBOUND" role.
  `OutboundEndpoint` | `getOutboundEndpoint(EndpointBuilder builder)` Creates an endpoint with the "OUTBOUND" role using the builder provided.
  `OutboundEndpoint` | `getOutboundEndpoint(EndpointURI endpointUri)` Deprecated.
  `OutboundEndpoint` | `getOutboundEndpoint(String uri)` Creates an endpoint with the "OUTBOUND" role.

  Methods inherited from interface org.mule.api.context.MuleContextAware
  `setMuleContext`

  Method Detail

  ### getInboundEndpoint

      InboundEndpoint getInboundEndpoint(String uri)
                                         throws MuleException

    Creates an endpoint with the "INBOUND" role.
    The uri parameter can either be a uri, or a (global) endpoint identifier or name.
    The `InboundEndpoint` interface is currently used as the return type but this will be replaces by and more specific interface. SEE MULE-2292

    Parameters:
      `uri` - endpoint identifier or uri
      `muleContext` -
    Returns:
    Throws:
      `MuleException`

  ### getOutboundEndpoint

      OutboundEndpoint getOutboundEndpoint(String uri)
                                           throws MuleException

    Creates an endpoint with the "OUTBOUND" role.
    The uri parameter can either be a uri, or a (global) endpoint identifier or name.
    The `OutboundEndpoint` interface is currently used as the return type but this will be replaces by and more specific interface. SEE MULE-2292

    Parameters:
      `uri` - endpoint identifier or uri
      `muleContext` -
    Returns:
    Throws:
      `MuleException`

  ### getInboundEndpoint

      InboundEndpoint getInboundEndpoint(EndpointBuilder builder)
                                         throws MuleException

    Creates an endpoint with the "INBOUND" role using the builder provided.

    Parameters:
      `builder` -
      `muleContext` -
    Returns:
    Throws:
      `MuleException`

  ### getOutboundEndpoint

      OutboundEndpoint getOutboundEndpoint(EndpointBuilder builder)
                                           throws MuleException

    Creates an endpoint with the "OUTBOUND" role using the builder provided.

    Parameters:
      `builder` -
      `muleContext` -
    Returns:
    Throws:
      `MuleException`

  ### getInboundEndpoint

      InboundEndpoint getInboundEndpoint(EndpointURI endpointUri)
                                         throws MuleException

    Deprecated.

    Parameters:
      `endpointUri` -
    Returns:
    Throws:
      `MuleException`

  ### getOutboundEndpoint

      OutboundEndpoint getOutboundEndpoint(EndpointURI endpointUri)
                                           throws MuleException

    Deprecated.

    Parameters:
      `endpointUri` -
    Returns:
    Throws:
      `MuleException`

  ### getEndpointBuilder

      EndpointBuilder getEndpointBuilder(String uri)
                                         throws MuleException

    Used to retrieve the an EndpointBuilder equal to the one would be used to create an endpoint.
    This is useful if you need to customize a builder before creation of an endpoint as you can use this method to obtain the endpoint builder, custommize it and then call the factory methods that take a EndpointBuilder rather than a String.
    (Of course if you know the uri is a uri rather than a global endpoint identifier you could create your own EndpointURIEndpointBuilder locally, this method allows the uri to be substituted with a global endpoint name and returns it's builder if this is the case. allow the uri parameter to be either a uri or a global endpoint identifier you need this method.
    Each and every call to this method, even if it is for the same uri/global endpoint name will return a new EndpoointBuilder instance.

    Parameters:
      `uri` - endpoint identifier or uri
      `muleContext` -
    Returns:
    Throws:
      `MuleException`
    See Also:
      `EndpointBuilder`, `EndpointURIEndpointBuilder`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.